SystemB.VMStatistics (JNA API)
Description: declaration: package: com.sun.jna.platform.mac, interface: SystemB, class: VMStatistics

Package com.sun.jna.platform.mac

# Class SystemB.VMStatistics

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.mac.SystemB.VMStatistics

Enclosing interface:
  SystemB

@FieldOrder({"free_count","active_count","inactive_count","wire_count","zero_fill_count","reactivations","pageins","pageouts","faults","cow_faults","lookups","hits","purgeable_count","purges","speculative_count"}) public static class SystemB.VMStatistics extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `active_count`
  `int`
  `cow_faults`
  `int`
  `faults`
  `int`
  `free_count`
  `int`
  `hits`
  `int`
  `inactive_count`
  `int`
  `lookups`
  `int`
  `pageins`
  `int`
  `pageouts`
  `int`
  `purgeable_count`
  `int`
  `purges`
  `int`
  `reactivations`
  `int`
  `speculative_count`
  `int`
  `wire_count`
  `int`
  `zero_fill_count`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VMStatistics()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### free_count

    public int free_count

  - ### active_count

    public int active_count

  - ### inactive_count

    public int inactive_count

  - ### wire_count

    public int wire_count

  - ### zero_fill_count

    public int zero_fill_count

  - ### reactivations

    public int reactivations

  - ### pageins

    public int pageins

  - ### pageouts

    public int pageouts

  - ### faults

    public int faults

  - ### cow_faults

    public int cow_faults

  - ### lookups

    public int lookups

  - ### hits

    public int hits

  - ### purgeable_count

    public int purgeable_count

  - ### purges

    public int purges

  - ### speculative_count

    public int speculative_count

- ## Constructor Details

  - ### VMStatistics

    public VMStatistics()